require 'rails/generators/base'

module Cqrs
  class CommandGenerator < Rails::Generators::NamedBase
    source_root File.expand_path('templates', __dir__)

    def copy_command_file
      template "command.rb", "app/domain/commands/#{file_name}.rb"
      template "command_handler.rb", "app/domain/commands/#{file_name}_handler.rb"
    end
  end
end
