require 'rails/generators/base'

module Cqrs
  class QueryGenerator < Rails::Generators::NamedBase
    source_root File.expand_path('templates', __dir__)

    def copy_query_file
      template "query.rb", "app/domain/queries/#{file_name}.rb"
      template "query_handler.rb", "app/domain/queries/#{file_name}_handler.rb"
    end
  end
end
